player = {
  img = love.graphics.newImage('brick.png')
}

function player.load(this, px, py)
  this.width = 32
  this.height = 32
  this.x = px
  this.y = py
  this.xstart = this.x
  this.ystart = this.y
  this.xspeed = 0
  this.yspeed = 0  
end

function player.update(this, dt)
  if(love.keyboard.isDown('left')) then
    this.xspeed = -300
  end
  if(love.keyboard.isDown('right')) then
    this.xspeed = 300
  end
  if(love.keyboard.isDown('up')) then
    this.yspeed = -300
  end
  if(love.keyboard.isDown('down')) then
    this.yspeed = 300
  end
  if(this.xspeed < 0) then
    this.x = this.x - this.xspeed * dt
  end
  if(this.xspeed > 0) then
    this.x = this.x + this.xspeed * dt
  end
end
function player.draw(this, ox, oy)
  love.graphics.draw(player.img, this.x + ox, this.y + oy)
  love.graphics.print(this.x, 20, 20) -- even this line alone fails to be drawn...
  --love.graphics.draw(player.img, 100, 100)
end
